/* Theme Styles */
@import url("https://fonts.googleapis.com/css2?family=Montagu+Slab:wght@300;400;500;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Montserrat+Alternates:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap");
:root {
  --theme-color-pink: #efd1d1;
  --theme-color-green: #2a4a2b;
  --font: "Montagu Slab", serif;
  --font-body: "Montserrat Alternates", sans-serif;
}
/* Nav Bar */
.header {
  width: 100vw;
  height: 100px;
  background-color: var(--theme-color-green);
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding: 1rem;
  font-family: var(--font);
  position: sticky;
  z-index: 15;
  top: 0;
}
.headerLogo {
  width: 15rem;
  height: 5rem;
  background-image: url(../media/StudenSnacksLogo.svg);
  background-position: left;
  background-size: cover;
  background-repeat: no-repeat;
}
.headerLogo:hover {
  transform: scale(1.1);
  transition: 0.3s;
}
.hamburger {
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  width: 5rem;
  height: 5rem;
  margin-left: auto;
  gap: 0.5rem;
  z-index: 11;
}
.menuA a {
  min-width: 70px;
}
.menuA:hover {
  transform: scale(1.1);
  transition: 0.3s;
}
.menu {
  width: 100%;
  height: 100%;
  gap: 6rem;
  font-size: 3rem;
  position: relative;
  color: var(--theme-color-pink);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  opacity: 0;
  z-index: 99;
}
.ham-bar {
  display: block;
  width: 2.7rem;
  height: 0.2rem;
  background-color: white;
  transition: 0.3s ease-in-out;
}
.ham-bar:nth-of-type(2) {
  width: 1.5rem;
}
.ham-bar .bar-mid {
  width: 2rem;
}
.hamburger.active .bar-top {
  transform: rotate(45deg) translateY(3px) translateX(5px);
  width: 2.7rem;
}
.hamburger.active .bar-bottom {
  transform: rotate(-45deg) translateY(-10px) translateX(12px);
  width: 2.7rem;
}
.hamburger.active .bar-mid {
  opacity: 0;
  width: 2rem;
}
.navbar {
  top: 0;
  right: 0;
  position: fixed;
  height: 100%;
  width: 0%;
  background-color: var(--theme-color-green);
  z-index: 1;
}
.activenav {
  position: fixed;
  width: 100%;
  height: 100%;
  margin-top: 100px;
  z-index: 10;
  transition: 0.3s ease-in-out;
}
.activenav .menu {
  width: 100%;
  height: 80%;
  position: fixed;
  opacity: 1;
  z-index: 99;
}
nav {
  z-index: 99;
  transition: 0.3s ease-in-out;
}

@media only screen and (min-width: 1000px) {
  .header {
    width: 100%;
    height: 85px;
    background-color: var(--theme-color-green);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
  }
  .headerLogo {
    width: 17rem;
    margin-right: auto;
  }
  .hamburger {
    display: none;
  }
  .menu {
    width: 100%;
    height: 100%;
    font-size: 1.5rem;
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    opacity: 1;
    gap: 5rem;
    margin-left: auto;
  }
  .ham-bar {
    display: block;
    width: 2.7rem;
    height: 0.2rem;
    background-color: white;
  }
  .hamburger.active .bar-top {
    transform: rotate(45deg) translateY(2px) translateX(5px);
    width: 2.7rem;
  }
  .hamburger.active .bar-bottom {
    transform: rotate(-45deg) translateY(-2px) translateX(5px);
    width: 2.7rem;
  }
  .hamburger.active .bar-mid {
    opacity: 0;
    width: 2rem;
  }
  .navbar {
    position: relative;
    height: 100%;
    width: 50%;
    background-color: rgba(0, 0, 0, 0);
  }
  .activenav {
    z-index: 2;
    width: 100%;
  }
}
/* Footer */
footer {
  width: 100%;
  height: 85px;
  background-color: var(--theme-color-green);
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  bottom: 0;
}
.socials {
  width: 30%;
  display: flex;
  justify-content: space-around;
  font-size: 2rem;
  color: white;
}

/* Loader */
.loader {
  width: 250px;
  height: 200px;
  animation: toColor 5s linear infinite;
}

#loader-recipes {
  position: absolute;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  display: flex;
  justify-content: center;
  align-items: center;
}

@keyframes toColor {
  0% {
    -webkit-filter: opacity(0%);
    filter: opacity(0%);
  }
  25% {
    -webkit-filter: opacity(50%);
    filter: opacity(50%);
  }
  50% {
    -webkit-filter: opacity(100%);
    filter: opacity(100%);
  }
  75% {
    -webkit-filter: opacity(50%);
    filter: opacity(50%);
  }
  100% {
    -webkit-filter: opacity(0%);
    filter: opacity(0%);
  }
}

#loader {
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  display: flex;
  justify-content: center;
  align-items: center;
}
#loaderFullPage {
  z-index: 1;
  left: 0;
  top: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0);
  display: flex;
  justify-content: center;
  align-items: center;
}

#loader.show {
  display: flex;
  flex-direction: column;
}

#loader.hide {
  display: none;
}
